OpenVDB 7.0.0

Static Public Attributes | List of all members
RootNode< ChildType >::SameConfiguration< OtherNodeType > Struct Template Reference

SameConfiguration<OtherNodeType>::value is `true` if and only if OtherNodeType is the type of a RootNode whose ChildNodeType has the same configuration as this node's ChildNodeType. More...

`#include <RootNode.h>`

## Static Public Attributes
static const bool | value = SameRootConfig<ChildNodeType, OtherNodeType>::value

## Detailed Description

### template<typename ChildType>
template<typename OtherNodeType>
struct openvdb::v7_0::tree::RootNode< ChildType >::SameConfiguration< OtherNodeType >

SameConfiguration<OtherNodeType>::value is `true` if and only if OtherNodeType is the type of a RootNode whose ChildNodeType has the same configuration as this node's ChildNodeType.

## Member Data Documentation

## ◆ value

const bool value = SameRootConfig<ChildNodeType, OtherNodeType>::value
| static

The documentation for this struct was generated from the following file:

- RootNode.h